package cn.iocoder.yudao.module.jx.payment.service;


import cn.iocoder.yudao.module.jx.payment.entity.DriveSchoolPay;
import cn.iocoder.yudao.module.jx.payment.vo.PayVo;
import cn.iocoder.yudao.module.jx.vo.DriveSchoolPayVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.List;

/**
 * 订单Service接口
 *
 * @author ruoyi
 * @date 2024-04-24
 */
public interface DriveSchoolPayService
{
    /**
     * 查询订单
     *
     * @param id 订单主键
     * @return 订单
     */
    public DriveSchoolPay selectDriveSchoolPayById(Long id);

    /**
     * 查询订单列表
     *
     * @param driveSchoolPay 订单
     * @return 订单集合
     */
    public IPage<DriveSchoolPay> selectDriveSchoolPayList(DriveSchoolPay driveSchoolPay, Page<DriveSchoolPay> page);
    public IPage<DriveSchoolPay> stuList(DriveSchoolPay driveSchoolPay,Page<DriveSchoolPay> page);

    /**
     * 新增订单
     *
     * @param driveSchoolPay 订单
     * @return 结果
     */
    public int insertDriveSchoolPay(DriveSchoolPay driveSchoolPay);

    /**
     * 修改订单
     *
     * @param driveSchoolPay 订单
     * @return 结果
     */
    public int updateDriveSchoolPay(DriveSchoolPay driveSchoolPay);

    /**
     * 批量删除订单
     *
     * @param ids 需要删除的订单主键集合
     * @return 结果
     */
    public int deleteDriveSchoolPayByIds(Long[] ids);

    /**
     * 删除订单信息
     *
     * @param id 订单主键
     * @return 结果
     */
    public int deleteDriveSchoolPayById(Long id);

    void updatePayById(Integer id, String name, Integer jlId);

    IPage<DriveSchoolPay> getReportCourseList(DriveSchoolPay driveSchoolPay,Page<DriveSchoolPay> page);

    IPage<DriveSchoolPay> getUserList(DriveSchoolPay driveSchoolPay,Page<DriveSchoolPay> page);

    DriveSchoolPay getInfoByUserId(Long userId);
    DriveSchoolPay getInfoByUserIndenty(String userId);

    PayVo getDeductByUserInfo(DriveSchoolPay driveSchoolPay);

    IPage<DriveSchoolPay> stuListByCoachId(DriveSchoolPay driveSchoolPay,Page<DriveSchoolPay> page);

    DriveSchoolPay selectByUserId(Long userId);

    String importUser(List<DriveSchoolPay> userList, boolean updateSupport, String operName) throws Exception;

    double getAllMoney();
}
